notmuch (0.40-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Jan 2026 19:06:18 +0100

notmuch (0.40-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Sat, 31 Jan 2026 13:53:09 +0900

notmuch (0.40~rc1-1) experimental; urgency=medium

  * New upstream pre-release

 -- David Bremner <bremner@debian.org>  Sat, 24 Jan 2026 10:20:27 +0900

notmuch (0.40~rc0-2) experimental; urgency=medium

  * Don't install gdb on armhf (skip gdb based tests). Workaround for
    #1125796.

 -- David Bremner <bremner@debian.org>  Sun, 18 Jan 2026 07:58:18 +0900

notmuch (0.40~rc0-1) experimental; urgency=medium

  * New upstream pre-release

 -- David Bremner <bremner@debian.org>  Sat, 17 Jan 2026 08:51:32 +0900

notmuch (0.39-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 May 2025 09:18:44 +0200

notmuch (0.39-1) unstable; urgency=medium

  * New upstream release.
  * Legacy python bindings (package python3-notmuch) are no longer
    built. Consider switching to python3-notmuch2.

 -- David Bremner <bremner@debian.org>  Sat, 15 Mar 2025 07:03:50 -0300

notmuch (0.39~rc3-1) experimental; urgency=medium

  * New upstream pre-release

 -- David Bremner <bremner@debian.org>  Fri, 14 Mar 2025 19:07:04 -0300

notmuch (0.39~rc2-2) experimental; urgency=medium

  * Increase test timeout to 10m (per test script). This is currently
    only needed for riscv64, but should be harmless elsewhere.

 -- David Bremner <bremner@debian.org>  Tue, 11 Mar 2025 19:39:27 -0300

notmuch (0.39~rc2-1) experimental; urgency=medium

  * New upstream pre-release
  * Bug fix: "FTBFS: 1 test failed.", thanks to Santiago Vila (Closes:
    #1099252).

 -- David Bremner <bremner@debian.org>  Mon, 10 Mar 2025 21:00:09 -0300

notmuch (0.39~rc1-1) experimental; urgency=medium

  * New upstream pre-release
  * Bug fix: "FTBFS: 3 tests fail against Emacs 30.1", thanks to Sean
    Whitton (Closes: #1098852). Force emacs 30 to use the older
    pretty-printing style.

 -- David Bremner <bremner@debian.org>  Tue, 25 Feb 2025 16:35:06 -0400

notmuch (0.39~rc0-1) experimental; urgency=medium

  * New upstream pre-release
  * Remove binary package python3-notmuch (Closes: #893057, #970834, #749890).
  * Bug fix: "saving draft causing missing header fields", thanks to
    Xiyue Deng (Closes: #1092047).

 -- David Bremner <bremner@debian.org>  Sat, 22 Feb 2025 08:12:33 -0400

notmuch (0.38.3-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Mar 2025 08:17:32 +0100

notmuch (0.38.3-5) unstable; urgency=medium

  * Bug fix: "test suite regressions with fixed GnuPG", thanks to
    Daniel Kahn Gillmor (Closes: #1098995).

 -- David Bremner <bremner@debian.org>  Fri, 28 Feb 2025 16:24:35 -0500

notmuch (0.38.3-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 18:46:54 +0100

notmuch (0.38.3-4) unstable; urgency=medium

  * Bug fix: "FTBFS: 3 tests fail against Emacs 30.1", thanks to Sean
    Whitton (Closes: #1098852). Cherry-pick upstream commit e3d4721b1.

 -- David Bremner <bremner@debian.org>  Tue, 25 Feb 2025 16:51:36 -0400

notmuch (0.38.3-3ubuntu2) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 00:53:53 -0300

notmuch (0.38.3-3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2024 21:07:46 +0200

notmuch (0.38.3-3) unstable; urgency=medium

  [ James McCoy ]
  * Convert notmuch-vim to Vim addon policy 2.0 (Closes: #1015936).

  [ Nicholas D Steeves ]
  * Allow neomutt to fulfill the "mutt" requirement of notmuch-mutt, and add
    related Enhances (Closes: #1029190).
  * Add Astroid as an alternative Recommends; this one is a GUI client that
    may be less intimidating for new users.

  [ David Bremner ]
  * remove "Build-Conflicts: gdb-minimal", thanks to Jeremy Bícha (Closes:
    #1077911).
  * skip test T810-tsan everywhere, as it seems broken by the latest glib
    (Closes: #1077910). Thanks to Jeremy Bícha for the report
  * Replace build-dependency on pkg-config with pkgconf

 -- David Bremner <bremner@debian.org>  Mon, 05 Aug 2024 10:13:01 -0300

notmuch (0.38.3-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 08:11:56 +0200

notmuch (0.38.3-2) unstable; urgency=medium

  * No change upload to rebuild with dh-elpa 2.1.5

 -- David Bremner <bremner@debian.org>  Fri, 26 Jul 2024 11:59:41 +0900

notmuch (0.38.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:16:23 +0000

notmuch (0.38.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 14:18:34 +0100

notmuch (0.38.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Bug fix: "Recommends transitional package gnupg-agent instead of
    gpg-agent", thanks to Andreas Metzler (Closes: #1064114).

 -- David Bremner <bremner@debian.org>  Sat, 09 Mar 2024 23:13:07 -0400

notmuch (0.38.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063205

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 23:56:48 +0000

notmuch (0.38.2-1ubuntu2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 01:47:58 -0300

notmuch (0.38.2-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:29:11 +0100

notmuch (0.38.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Fri, 01 Dec 2023 07:51:09 -0400

notmuch (0.38.1-1ubuntu2) noble; urgency=medium

  * Rebuild against new libsexp2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 14:37:28 +0200

notmuch (0.38.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 12:05:17 +0200

notmuch (0.38.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Thu, 26 Oct 2023 19:58:42 -0300

notmuch (0.38.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 12 Oct 2023 19:53:10 -0300

notmuch (0.38.1~pre0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 01 Oct 2023 08:14:17 -0300

notmuch (0.38-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 09:01:31 +0200

notmuch (0.38-2) unstable; urgency=medium

  * Restrict autopkgtests to amd64 and aarch64. There are failures in
    remaining architectures, but the same tests pass at build time, so any
    bugs are probably related to either the autopkgtest environment, or
    the (new) upstream test runner for installed notmuch.

 -- David Bremner <bremner@debian.org>  Wed, 13 Sep 2023 19:55:00 -0300

notmuch (0.38-1ubuntu2) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Sep 2023 11:33:11 +0200

notmuch (0.38-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS: 6 tests failed.", thanks to Aurelien Jarno (Closes:
    #1051111).
  * Run most of upstream test suite as autopkgtests

 -- David Bremner <bremner@debian.org>  Tue, 12 Sep 2023 08:33:24 -0300

notmuch (0.38~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 03 Sep 2023 09:10:24 -0300

notmuch (0.38~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Hopefully reduce/eliminate intermittent failures of T460 by
    controlling Emacs native compilation.
  * Disable T810-tsan on ppc64el

 -- David Bremner <bremner@debian.org>  Sat, 26 Aug 2023 08:31:21 -0300

notmuch (0.38~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 24 Aug 2023 10:56:06 -0300

notmuch (0.37-1ubuntu3) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 06 Feb 2023 23:27:07 +0530

notmuch (0.37-1ubuntu2) kinetic; urgency=medium

  * Don't run testsuite in parallel, causing test failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Oct 2022 20:58:07 +0200

notmuch (0.37-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Aug 2022 14:33:26 +0200

notmuch (0.37-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on emacs-el to work around #1017698

 -- David Bremner <bremner@debian.org>  Wed, 24 Aug 2022 09:12:19 -0700

notmuch (0.37~rc0-3) experimental; urgency=medium

  * Another no-change re-upload with binaries.

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2022 11:49:21 -0300

notmuch (0.37~rc0-2) experimental; urgency=medium

  * Binary upload for NEW (notmuch-git is a new binary package)

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2022 10:55:24 -0300

notmuch (0.37~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2022 07:28:22 -0300

notmuch (0.36-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 09:58:43 +0200

notmuch (0.36-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Mon, 25 Apr 2022 08:47:41 -0300

notmuch (0.36~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Fix for build in environments where libsexp is not available
    (i.e. outside Debian).

 -- David Bremner <bremner@debian.org>  Sat, 16 Apr 2022 08:37:12 -0300

notmuch (0.36~rc0-1) experimental; urgency=medium

  * New upstream release candidate
  * Re-enable test smime.4, allegedly fixed upstream.

 -- David Bremner <bremner@debian.org>  Fri, 15 Apr 2022 08:45:10 -0300

notmuch (0.35-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Mar 2022 12:41:48 +0200

notmuch (0.35-2) unstable; urgency=medium

  * Disable test smime.4, which is broken by gmime 3.2.9 thanks to Lucas
    Nussbaum for the report (Closes: #1008462).

 -- David Bremner <bremner@debian.org>  Mon, 28 Mar 2022 11:45:11 -0600

notmuch (0.35-1ubuntu2) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 09:42:09 +0100

notmuch (0.35-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Sun, 06 Feb 2022 12:15:19 -0400

notmuch (0.35~rc0-2) experimental; urgency=medium

  * Reupload with binaries

 -- David Bremner <bremner@debian.org>  Sat, 29 Jan 2022 21:53:29 -0400

notmuch (0.35~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 29 Jan 2022 18:14:57 -0400

notmuch (0.34.3-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - d/rules: Disable LTO to fix FTBFS on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jan 2022 11:07:32 +0100

notmuch (0.34.3-1) unstable; urgency=medium

  * New upstream bugfix release, with several fixes for the notmuch2
    python module.

 -- David Bremner <bremner@debian.org>  Sun, 09 Jan 2022 15:30:38 -0400

notmuch (0.34.2-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal
    - d/rules: Disable LTO to fix FTBFS on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Dec 2021 12:35:35 +0100

notmuch (0.34.2-1) unstable; urgency=medium

  * New upstream bugfix with release, with fixes database location in
    library and notmuch2 python module.
  * Build only against the default version of python, to avoid including
    multiple .abi3.so files in python3-notmuch2

 -- David Bremner <bremner@debian.org>  Fri, 10 Dec 2021 09:35:43 -0400

notmuch (0.34.1-1ubuntu3) jammy; urgency=medium

  * d/rules: Disable LTO to fix FTBFS on s390x.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 08 Dec 2021 20:08:48 -0500

notmuch (0.34.1-1ubuntu2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 07 Dec 2021 11:15:58 -0300

notmuch (0.34.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Nov 2021 02:54:55 +0100

notmuch (0.34.1-1) unstable; urgency=medium

  * New upstream bugfix release. Fixes a memory deallocation error in
    libnotmuch.

 -- David Bremner <bremner@debian.org>  Wed, 03 Nov 2021 10:20:33 -0300

notmuch (0.34-1) unstable; urgency=medium

  * New upstream release
  * Adds s-expression based query parser (man notmuch-sexp-queries).
  * Bug fix: "notmuch breaks on directory removal", thanks to Joerg
    Jaspert (Closes: #922536).
  * Respect notmuch-show-text/html-blocked-images for renderer w3m
    (Closes: #934082).
  * Bug fix: "add an option to change the database path", thanks to
    Michael Gold (Closes: #887041) (actually fixed in 0.32)

 -- David Bremner <bremner@debian.org>  Wed, 20 Oct 2021 11:15:23 -0300

notmuch (0.34~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Fri, 15 Oct 2021 08:50:57 -0300

notmuch (0.33.2-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Oct 2021 08:28:11 +0200

notmuch (0.33.2-1) unstable; urgency=medium

  * Upstream fix for flaky/hanging tests in T355-smime

 -- David Bremner <bremner@debian.org>  Thu, 30 Sep 2021 08:27:10 -0300

notmuch (0.33.1-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Sep 2021 13:13:18 +0200

notmuch (0.33.1-1) unstable; urgency=medium

  * Upstream fix for flaky tests in T590-libconfig

 -- David Bremner <bremner@debian.org>  Fri, 10 Sep 2021 08:28:48 -0300

notmuch (0.33-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Sep 2021 14:39:21 +0200

notmuch (0.33-2) unstable; urgency=medium

  * Disable two flaky tests in T590-libconfig.

 -- David Bremner <bremner@debian.org>  Sat, 04 Sep 2021 11:29:44 -0700

notmuch (0.33-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Sep 2021 20:47:32 +0200

notmuch (0.33-1) unstable; urgency=medium

  * New upstream release
  * See /usr/share/doc/notmuch/NEWS.gz for user visible changes.

 -- David Bremner <bremner@debian.org>  Fri, 03 Sep 2021 12:24:41 -0700

notmuch (0.33~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 26 Aug 2021 08:27:42 -0700

notmuch (0.32.3-1ubuntu2) impish; urgency=medium

  * debian/patches/8675be1d.patch:
    - cherry-pick upstream test fix, thanks Bremner!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Aug 2021 09:01:59 +0200

notmuch (0.32.3-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 13:23:22 +0200

notmuch (0.32.3-1) unstable; urgency=medium

  * new upstream bugfix release
  * fixes for a few configuration related bugs introduced in 0.32
  * bump libnotmuch minor version to match documentation.

 -- David Bremner <bremner@debian.org>  Tue, 17 Aug 2021 17:16:09 -0700

notmuch (0.32.2-1) experimental; urgency=medium

  * New upstream bugfix release
  * Fix for memory leak in "notmuch new" introduced in 0.32
  * Fix for bug from 2017 that can add duplicate thread-ids to messages.

 -- David Bremner <bremner@debian.org>  Sat, 26 Jun 2021 22:33:56 -0300

notmuch (0.32.1-1) experimental; urgency=medium

  * New upstream bugfix release
  * Configuration bug fixes (see /usr/share/doc/notmuch/NEWS.gz)
  * Bug fix for {pre,after}-tag hooks in emacs, related to lexical scope
    transition.

 -- David Bremner <bremner@debian.org>  Sat, 15 May 2021 09:01:27 -0300

notmuch (0.32-1) experimental; urgency=medium

  * New upstream release
  * Speedup for handling deleted message files
  * New configuration features (see /usr/share/doc/notmuch/NEWS.gz) 
  * Emacs interface codebase cleanup

 -- David Bremner <bremner@debian.org>  Sun, 02 May 2021 07:05:15 -0300

notmuch (0.32~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Wed, 28 Apr 2021 07:05:22 -0300

notmuch (0.32~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 24 Apr 2021 12:46:10 -0300

notmuch (0.31.4-2ubuntu2) impish; urgency=medium

  * Revert ignore test results on armhf, looks working now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jun 2021 09:53:56 +0200

notmuch (0.31.4-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jun 2021 09:23:37 +0200

notmuch (0.31.4-2) unstable; urgency=medium

  * Cherry pick upstream commit 3f4de98e7c8, which fixes a bug where
    duplicate message-ids can cause multiple thread-ids for some message
    documents.
  * Add build-dependency on xapian-tools, for new test

 -- David Bremner <bremner@debian.org>  Mon, 28 Jun 2021 22:48:02 -0300

notmuch (0.31.4-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Feb 2021 10:20:10 +0100

notmuch (0.31.4-1) unstable; urgency=medium

  * New upstream bugfix release
    - Fix include bug triggered by glib 2.67
    - Fix race condition in T568-lib-thread

 -- David Bremner <bremner@debian.org>  Thu, 18 Feb 2021 07:23:00 -0400

notmuch (0.31.3-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Dec 2020 21:55:42 +0100

notmuch (0.31.3-2) unstable; urgency=medium

  * Don't install gdb on hppa (skip gdb based tests)

 -- David Bremner <bremner@debian.org>  Sat, 26 Dec 2020 15:14:07 -0400

notmuch (0.31.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Dec 2020 22:48:10 +0100

notmuch (0.31.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Second fix for T360, fix regression on ppc64el
  * Fix for exclude tags in notmuch2 python bindings
  * Fix for memory error in notmuch_database_get_config_list

 -- David Bremner <bremner@debian.org>  Fri, 25 Dec 2020 11:48:37 -0400

notmuch (0.31.2-5) unstable; urgency=medium

  * Use readelf instead of nm in T360, hopefully build in ppc64

 -- David Bremner <bremner@debian.org>  Sun, 13 Dec 2020 08:24:23 -0400

notmuch (0.31.2-4ubuntu2) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 09:32:43 +0100

notmuch (0.31.2-4) unstable; urgency=medium

  * Move prerequisite to file targets from phony ones. Thanks to
    Lucas Nussbaum for the report. (Closes: #976934).

 -- David Bremner <bremner@debian.org>  Thu, 10 Dec 2020 21:02:20 -0400

notmuch (0.31.2-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Nov 2020 18:26:40 +0100

notmuch (0.31.2-3) unstable; urgency=medium

  * Switch to debhelper compat level 13

 -- David Bremner <bremner@debian.org>  Mon, 09 Nov 2020 13:59:47 -0400

notmuch (0.31.2-2) unstable; urgency=medium

  * Run tests in verbose mode

 -- David Bremner <bremner@debian.org>  Mon, 09 Nov 2020 08:45:38 -0400

notmuch (0.31.2-1) unstable; urgency=medium

  * Delete stray "version" file in upstream source

 -- David Bremner <bremner@debian.org>  Sun, 08 Nov 2020 11:32:45 -0400

notmuch (0.31.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Portability / C++20 fixes
    - Fix initialization bug in library config handling.

 -- David Bremner <bremner@debian.org>  Sun, 08 Nov 2020 07:48:22 -0400

notmuch (0.31-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:43:53 +0200

notmuch (0.31-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Sep 2020 14:54:26 +0200

notmuch (0.31-1) unstable; urgency=medium

  * New upstream release
  * Compatibility fixes for Emacs 27.1

 -- David Bremner <bremner@debian.org>  Sat, 05 Sep 2020 21:47:42 -0300

notmuch (0.31~rc2-1) experimental; urgency=medium

  * New upstream release candidate
  * Bug fix: "suggest elpa-mailscripts", thanks to Sean Whitton (Closes:
    #944269).
  * Bug fix: "suggest mailscripts", thanks to Sean Whitton (Closes:
    #944270).
  * Bug fix: "please drop transitional package notmuch-emacs from
    src:notmuch", thanks to Holger Levsen (Closes: #940738).

 -- David Bremner <bremner@debian.org>  Tue, 25 Aug 2020 07:51:33 -0300

notmuch (0.31~rc1-1) experimental; urgency=medium

  * Fix buggy test in T562-lib-database
  * Clean up generated file in source package.

 -- David Bremner <bremner@debian.org>  Mon, 17 Aug 2020 21:05:46 -0300

notmuch (0.31~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * Update notmuch-emacs for compatibility with GNU Emacs 27.1.

 -- David Bremner <bremner@debian.org>  Sun, 16 Aug 2020 11:08:14 -0300

notmuch (0.30-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Jul 2020 12:32:51 +0200

notmuch (0.30-1) unstable; urgency=medium

  * New upstream release
  * Improvements to S/MIME handling
  * Repairs to some mangled MIME messages
  * New python bindings (notmuch2) compatible with current python 3

 -- David Bremner <bremner@debian.org>  Fri, 10 Jul 2020 22:24:14 -0300

notmuch (0.30~rc3-1) experimental; urgency=medium

  * New upstream release candidate
  * Mark two tests broken on legacy (32 bit time_t) architectures.
  * Drop -std=c99

 -- David Bremner <bremner@debian.org>  Fri, 03 Jul 2020 06:48:51 -0300

notmuch (0.30~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upstream fixes for new python bindings (python3-notmuch2).
  * Update debian/copyright (one new author).

 -- David Bremner <bremner@debian.org>  Tue, 16 Jun 2020 08:32:16 -0300

notmuch (0.30~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Update debian/changelog (new copyright holders)

 -- David Bremner <bremner@debian.org>  Sat, 06 Jun 2020 08:06:56 -0300

notmuch (0.30~rc0-2) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Mon, 01 Jun 2020 21:01:27 -0300

notmuch (0.29.3-1ubuntu2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 02 Mar 2020 16:35:24 +0000

notmuch (0.29.3-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Dec 2019 15:50:52 +0100

notmuch (0.29.3-1) unstable; urgency=medium

  * New upstream bugfix release.
    - fix use-after-free bug in libnotmuch
    - fix double close of file in "notmuch dump"

 -- David Bremner <bremner@debian.org>  Wed, 27 Nov 2019 08:19:57 -0400

notmuch (0.29.2-2) experimental; urgency=medium

  * Drop python-notmuch binary package.
  * Drop python2 build-dependency (Closes: #937161).
  * Convert to pybuild for python bindings

 -- David Bremner <bremner@debian.org>  Sat, 02 Nov 2019 18:21:06 -0300

notmuch (0.29.2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 10:02:10 +0200

notmuch (0.29.2-1) unstable; urgency=medium

  * New upstream bug fix release: fix file descriptor leak with gzipped
    files. Thanks to James Troup for reporting and the fix.

 -- David Bremner <bremner@debian.org>  Sat, 19 Oct 2019 07:23:21 -0300

notmuch (0.29.1-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2019 23:12:13 +0200

notmuch (0.29.1-2) unstable; urgency=medium

  * Re-upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 21 Jul 2019 11:43:40 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog elpa-notmuch`.
